#define _CRT_SECURE_NO_WARNINGS
#define _SILENCE_CXX17_C_HEADER_DEPRECATION_WARNING
#include <bits/stdc++.h>
using namespace std;
int main()
{
    int n, x, y;
    scanf("%d", &n);
    while (n--)
    {
        scanf("%d%d", &x, &y);
        if (y % x == 0)
            printf("%d %d\n", x, y);
        else
            puts("-1");
    }

    return 0;
}